Quassel IRC - Feature #1510

would it be possible to lower boost version requirement?
01/23/2019 05:31 PM - rkitover

Status:
Priority:
Assignee:
Category:
Target version:
0S:

Resolved

Normal

Build System
Some future release

Any

Start date: 01/23/2019
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

OpenSUSE Leap 42.3 only has Boost 1.54.0, and the requirement is for 1.56.

Is 1.56 absolutely required, or could the required version be lowered for older distributions?

Associated revisions

Revision 3f71a843 - 05/31/2019 07:32 PM - rkitover

cmake: Lower Boost dep version 1.56 -> 1.54

Require Boost 1.54 instead of 1.56.

Tested to compile and work correctly on OpenSUSE Leap 42.3.

Fixes #1510.

Signed-off-by: Rafael Kitover <rkitover@gmail.com>

History

#1 - 05/31/2019 07:33 PM - rkitover

- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|3f71a843b5e84f05438bed8bdc331699f670755d.
